### File

`packages/components/eui-disable-content/eui-disable-content.component.ts`

### Description

Component that provides functionality to disable content and show a visual overlay. When disabled, it adds a semi-transparent overlay and handles focus management.

### Implements

`OnChanges`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-disable-content`
styleUrls | `./eui-disable-content.scss`
template |
    <ng-content/>

### Index

###### Properties
disabledText isDisabled
###### Methods
desactivateElement getActiveElement isAboutToBlock reactivateElement
###### HostListeners
click

### Constructor

`constructor()`
Initializes the component and sets up an effect to handle disabled state changes

### HostListeners

click
It will become private in the next major version.
`click()`
Handles click events on the disabled content Shows a growl notification if content is disabled and has disabled text

### Methods

desactivateElement
It will become private in the next major version.
`desactivateElement(activeElement: HTMLElement)`
Stores the currently active element before disabling Parameters :
Name | Type | Optional | Description
activeElement | `HTMLElement` | No | The element to deactivate
Returns : `void`

getActiveElement
It will become private in the next major version.
`getActiveElement()`
Gets the currently focused element within the component Returns : `HTMLElement` The focused HTML element or null

isAboutToBlock
It will become private in the next major version.
`isAboutToBlock(change: SimpleChange)`
Checks if the component is about to enter a blocked state Parameters :
Name | Type | Optional | Description
change | `SimpleChange` | No | The change object to evaluate
Returns : `boolean` True if the component is transitioning to blocked state

reactivateElement
It will become private in the next major version.
`reactivateElement()`
Reactivates the last active element Returns : `void`

### Properties

disabledText
Default value : `input('')`
Text to display in an eui-growl (type info) notification when clicking the disabled content.

isDisabled
Default value : `input(null, { transform: booleanAttribute })`
Controls whether the content is disabled. If disabled, a semi-transparent overlay with spinner is shown.

# results matching ""

# No results matching ""